Package: org.codehaus.groovy.runtime.wrappers

## [Java] Class GroovyObjectWrapper

- org.codehaus.groovy.runtime.wrappers.GroovyObjectWrapper

- Authors:
    John Wilson

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GroovyObject` | `wrapped` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Wrapper` | `constrainedType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyObjectWrapper (GroovyObject wrapped, Class constrainedType)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected MetaClass` | `getDelegatedMetaClass()`
    `` | `Object` | `getProperty(String property)`
    `` | `protected Object` | `getWrapped()`
    `` | `Object` | `invokeMethod(String name, Object args)`
    `` | `void` | `setMetaClass(MetaClass metaClass)`
    `` | `void` | `setProperty(String property, Object newValue)`
    `` | `Object` | `unwrap()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Wrapper` | `getDelegatedMetaClass, getMetaClass, getType, getWrapped, unwrap`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected final GroovyObject wrapped

  - ### Constructor Detail

    - #### public GroovyObjectWrapper(GroovyObject wrapped, Class constrainedType)

  - ### Method Detail

    - #### protected MetaClass getDelegatedMetaClass()

    - #### public Object getProperty(String property)

    - #### protected Object getWrapped()

    - #### public Object invokeMethod(String name, Object args)

    - #### public void setMetaClass(MetaClass metaClass)

    - #### public void setProperty(String property, Object newValue)

    - #### public Object unwrap()